## webcamd 0.7.6%2Brepack0

=== debian/changelog ===
webcamd (0.7.6+repack0-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright:
      - Added rights for Jelmer Vernooĳ.
      - Converted the last paragraph of the GPL-2/GPL-2+ in a comment.
      - Split the GPL-2/GPL-2+ full text in two stanzas.
      - Updated packaging copyright years.
  * debian/README.source: fixed grammatical issues.
  * debian/tests/control: set both tests as superficial.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 26 Jan 2026 14:59:13 -0300

webcamd (0.7.6+repack0-2) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.7.5-1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 01 Feb 2021 23:03:50 +0000

webcamd (0.7.6+repack0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.7.6+repack0.
  * IMPORTANT NOTICE: created debian/README.source to explain about new
    upstream version.
  * Migrated Deb-Src to 3.0 format.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added ${misc:Depends} variable to Depends field.
      - Added a Homepage field pointing to web.archive.org.
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Changed from perlmagick to libimage-magick-perl in Depends field.
        Thanks to Martin Michlmayr <tbm@hp.com>. (Closes: #789237)
      - Created VCS fields.
      - Improved the long description.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/docs: removed webcamd.conf, already in debian/examples.
    (Closes: #739149)
  * debian/rules: migrated to new (reduced) format.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI tests.
  * debian/watch: added a fake site to explain about the current status of the
    original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Apr 2020 17:14:23 -0300

webcamd (0.7.6-6) unstable; urgency=medium

  * QA upload.
  * Re-upload as source only to target testing.
  * Set Debian QA Group as maintainer. (See #928540)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Sep 2019 15:00:29 -0300

webcamd (0.7.6-5.2) unstable; urgency=medium

  * Non-maintainer upload
  * Fix another FTBFS, patch by Santiago Vila. Closes: #849261

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 25 Dec 2016 13:55:37 +0100

webcamd (0.7.6-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Declare debhelper compat level, bump to 10. Closes: #817720

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 18 Dec 2016 23:29:31 +0100

webcamd (0.7.6-5) unstable; urgency=low

  * Move debhelper to build-dep
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Tue,  4 Jul 2006 12:08:26 +0200

webcamd (0.7.6-4) unstable; urgency=low

  * /usr/doc transition (Closes: #359597)
  * Bump standard version
  * Change dh_compat to 4 and update build dep
  * Update FSF address

 -- Julien Danjou <acid@debian.org>  Fri,  7 Apr 2006 15:24:56 +0200

webcamd (0.7.6-3) unstable; urgency=low

  * Description updated (Closes: #144241)

 -- Julien Danjou <acid@debian.org>  Tue, 23 Apr 2002 18:59:56 +0200

webcamd (0.7.6-2) unstable; urgency=low

  * Some fix in manpages

 -- Julien Danjou <acid@debian.org>  Sun, 21 Apr 2002 08:17:06 +0200

webcamd (0.7.6-1) unstable; urgency=low

  * New upstream release.
  * Now in Debian (Closes: Bug#143343)

 -- Julien Danjou <acid@debian.org>  Wed, 17 Apr 2002 23:09:47 +0200

webcamd (0.7.5-2) unstable; urgency=low

  * New man page for webcamd-setup

 -- Julien Danjou <acid@hno3.org>  Sat, 23 Feb 2002 23:18:15 +0100

webcamd (0.7.5-1) unstable; urgency=low

  * New Upstream Release.

 -- Julien Danjou <acid@hno3.org>  Sat, 23 Feb 2002 17:49:58 +0100

webcamd (0.7.4-1) unstable; urgency=low

  * Initial Release.

 -- Julien Danjou <acid@hno3.org>  Wed, 20 Feb 2002 23:55:55 +0100

## webcamd 0.7.6-5

=== Makefile ===
#
# webcamd - Webcam Daemon
#
# Makefile
#

DESTDIR=

INSTALL=install

BINDIR=$(DESTDIR)/usr/bin

all:

install:
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) -m 755 webcamd $(BINDIR)
	$(INSTALL) -m 755 webcamd-setup $(BINDIR)

userinstall:
	$(INSTALL) -d -m 700 $(HOME)/.webcamd
	$(INSTALL) -m 700 webcamd.conf $(HOME)/.webcamd
	$(INSTALL) -m 700 index_up.html $(HOME)/.webcamd
	$(INSTALL) -m 700 index_down.html $(HOME)/.webcamd

uninstall:
	rm -f $(BINDIR)/webcamd

clean:
	rm -f *~

## webcamd 0.7.6+repack0

=== debian/control ===
Source: webcamd
Section: net
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.3
Homepage: https://web.archive.org/web/20031216024525/http://webcamd.tuxfamily.org/index_en.html
Vcs-Browser: https://salsa.debian.org/debian/webcamd
Vcs-Git: https://salsa.debian.org/debian/webcamd.git

Package: webcamd
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, libimage-magick-perl, perl, xawtv, libnet-perl
Description: Capture images from video devices
 webcamd take images from your webcam and put it in your local web directory
 or upload it by FTP.
 .
 What it does:
   - Take pics every X seconds.
   - Add date & hour on pictures, with or without a border.
   - Make HTML page for it.
   - Stop camera, putting an offline webpage.
   - To take pics when you want if the daemon is running.
   - Upload pics by ftp on a remote server or create local file if a local web
     server is running.
   - Customise HTML templates easily.
 .
 You can configure the program easily with a small and simple configuration
 file.

=== debian/tests/control ===
Test-Command: [ -d ~/.webcamd ] && rm -rf ~/.webcamd;
              webcamd
Restrictions: superficial

Test-Command: webcamd-setup 2> /dev/null | grep Installing
Restrictions: allow-stderr, superficial

=== debian/watch ===
Version: 5

Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
Dversionmangle: s/\+repack\d+//; s/.*/0.No-Site/

## webcamd 0.7.6-3

=== debian/changelog ===
webcamd (0.7.6-3) testing unstable; urgency=low

  * Description updated (Closes: #144241)

 -- Julien Danjou <acid@debian.org>  Tue, 23 Apr 2002 18:59:56 +0200

webcamd (0.7.6-2) testing unstable; urgency=low

  * Some fix in manpages

 -- Julien Danjou <acid@debian.org>  Sun, 21 Apr 2002 08:17:06 +0200

=== debian/control ===
Source: webcamd
Section: net
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends-Indep: debhelper
Standards-Version: 3.5.2

Package: webcamd
Architecture: all
Depends: ${shlibs:Depends}, perlmagick, perl, xawtv, libnet-perl
Description: Capture images from video devices
 webcamd take images from your webcam and put it in your
 local web directory or upload it by FTP.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/webcamd.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/webcamd


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## webcamd 0.7.6-5

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Julien Danjou <acid@debian.org>
-Build-Depends-Indep: debhelper
-Standards-Version: 3.5.2
+Build-Depends: debhelper (>= 4)
+Standards-Version: 3.7.2
 
 Package: webcamd
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,9 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -59,13 +56,11 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installman
-#	dh_undocumented
 	dh_installchangelogs 
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_makeshlibs
 	dh_installdeb
 	dh_perl
 	dh_shlibdeps

## webcamd 0.7.6-5.1

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=4
+#export DH_COMPAT=4
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
